Bug 969461 - RFE: Quota fixes
RFE: Quota fixes
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Raghavendra G
Sudhir D
: FutureFeature
: 909798 1005183 (view as bug list)
Depends On: 848250 876461 917459 956494
Blocks: 956998
  Show dependency treegraph
 
Reported: 2013-05-31 09:17 EDT by vpshastry
Modified: 2014-11-11 03:23 EST (History)
9 users (show)

See Also:
Fixed In Version: glusterfs-3.6.0beta1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 956494
Environment:
Last Closed: 2014-11-11 03:23:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vpshastry 2013-05-31 09:17:34 EDT
+++ This bug was initially created as a clone of Bug #956494 +++

Description of problem:

A tracker bug for all the Quota issues which will be fixed upstream.

Any quota bug open with Big Bend base, should be added in 'Depends On:' field of this bug.
Comment 1 Anand Avati 2013-05-31 09:19:41 EDT
REVIEW: http://review.gluster.org/5121 (WIP: quota glusterd changes) posted (#2) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 2 Anand Avati 2013-05-31 09:20:04 EDT
REVIEW: http://review.gluster.org/5122 (WIP: quota cli changes) posted (#2) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 3 Anand Avati 2013-05-31 09:20:27 EDT
REVIEW: http://review.gluster.org/5026 (features/quota: Improvements to quota) posted (#4) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 4 Anand Avati 2013-05-31 09:20:51 EDT
REVIEW: http://review.gluster.org/5125 (merge conflicts fix) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 5 Anand Avati 2013-05-31 09:21:14 EDT
REVIEW: http://review.gluster.org/5126 (quota && glusterd: Correcting few warning messages) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 6 Anand Avati 2013-06-08 02:32:28 EDT
REVIEW: http://review.gluster.org/5121 (WIP: quota glusterd changes) posted (#3) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 7 Anand Avati 2013-06-08 02:32:52 EDT
REVIEW: http://review.gluster.org/5122 (WIP: quota cli changes) posted (#3) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 8 Anand Avati 2013-06-08 02:33:15 EDT
REVIEW: http://review.gluster.org/5125 (merge conflicts fix) posted (#2) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 9 Anand Avati 2013-06-08 02:33:40 EDT
REVIEW: http://review.gluster.org/5026 (features/quota: Improvements to quota) posted (#5) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 10 Anand Avati 2013-06-08 02:34:03 EDT
REVIEW: http://review.gluster.org/5181 (glusterd: vme table fixes) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 11 Anand Avati 2013-06-08 02:34:26 EDT
REVIEW: http://review.gluster.org/5182 (glusterd: fix timing and place of quotad start/stop) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 12 Anand Avati 2013-06-08 02:34:52 EDT
REVIEW: http://review.gluster.org/5183 (glusterd: fix call to incorrect handler for child graphs) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 13 Anand Avati 2013-06-08 02:35:16 EDT
REVIEW: http://review.gluster.org/5184 (glusterd: call shd_op () at the appropriate time) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 14 Anand Avati 2013-06-08 02:35:40 EDT
REVIEW: http://review.gluster.org/5185 (glusterd: remove duplicate entries in vme table) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 15 Anand Avati 2013-06-08 02:36:03 EDT
REVIEW: http://review.gluster.org/5186 (glusterd: use dict_set_dynstr() in place of dict_set_str()) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 16 Anand Avati 2013-06-08 02:36:26 EDT
REVIEW: http://review.gluster.org/5187 (glusterd: allow soft-limit to be deduced at run-time) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 17 Anand Avati 2013-06-08 02:36:49 EDT
REVIEW: http://review.gluster.org/5188 (quotad: fix options structure) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 18 Anand Avati 2013-06-08 02:37:12 EDT
REVIEW: http://review.gluster.org/5189 (quota-glusterd: Correcting few warning messages) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 19 Anand Avati 2013-06-08 02:37:35 EDT
REVIEW: http://review.gluster.org/5190 (glusterd: do not print quota_limits when it is NULL post removal of limit) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 20 Anand Avati 2013-06-08 02:37:58 EDT
REVIEW: http://review.gluster.org/5191 (glusterd: rename quotad's subvolumes to corresponding volnames in volfile) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 21 Anand Avati 2013-06-08 02:38:21 EDT
REVIEW: http://review.gluster.org/5192 (features/quota: Change limit parser to comply with new pattern) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 22 Anand Avati 2013-06-08 02:38:45 EDT
REVIEW: http://review.gluster.org/5193 (features/quota: Change limit parser to comply with new pattern) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 23 Anand Avati 2013-06-08 02:39:08 EDT
REVIEW: http://review.gluster.org/5194 (glusterd: remove duplicate functions that crept in post integration) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 24 Anand Avati 2013-06-08 02:39:31 EDT
REVIEW: http://review.gluster.org/5195 (glusterd: ...more cleanup) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 25 Anand Avati 2013-06-08 02:39:54 EDT
REVIEW: http://review.gluster.org/5196 (glusterd: add limit-set option in brick volfile when limit-usage is set) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 26 Anand Avati 2013-06-10 09:22:48 EDT
REVIEW: http://review.gluster.org/5192 (features/quota: Change limit parser to comply with new pattern) posted (#2) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 27 Anand Avati 2013-06-10 09:23:14 EDT
REVIEW: http://review.gluster.org/5121 (glusterd: changes to quota) posted (#4) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 28 Anand Avati 2013-06-10 09:23:37 EDT
REVIEW: http://review.gluster.org/5191 (glusterd: rename quotad's subvolumes to corresponding volnames in volfile) posted (#2) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 29 Anand Avati 2013-06-10 09:24:01 EDT
REVIEW: http://review.gluster.org/5122 (cli: changes to the command 'volume quota') posted (#4) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 30 Anand Avati 2013-06-10 09:24:25 EDT
REVIEW: http://review.gluster.org/5026 (features/quota: Improvements to quota) posted (#6) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 31 Anand Avati 2013-06-21 07:43:01 EDT
REVIEW: http://review.gluster.org/5026 (features/quota: Improvements to quota) posted (#7) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 32 Anand Avati 2013-06-21 13:47:00 EDT
REVIEW: http://review.gluster.org/5026 (features/quota: Improvements to quota) posted (#8) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 33 Anand Avati 2013-06-26 03:50:25 EDT
REVIEW: http://review.gluster.org/5026 (features/quota: Improvements to quota) posted (#9) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 34 Anand Avati 2013-06-26 05:12:55 EDT
REVIEW: http://review.gluster.org/5026 (features/quota: Improvements to quota) posted (#10) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 35 Anand Avati 2013-06-27 02:37:01 EDT
REVIEW: http://review.gluster.org/5026 (features/quota: Improvements to quota) posted (#11) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 36 Anand Avati 2013-06-27 08:54:25 EDT
REVIEW: http://review.gluster.org/5026 (features/quota: Improvements to quota) posted (#12) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 37 Anand Avati 2013-06-27 09:04:39 EDT
REVIEW: http://review.gluster.org/5026 (features/quota: Improvements to quota) posted (#13) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 38 Anand Avati 2013-06-28 03:03:19 EDT
REVIEW: http://review.gluster.org/5026 (features/quota: Improvements to quota) posted (#14) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 39 Anand Avati 2013-07-25 04:22:55 EDT
REVIEW: http://review.gluster.org/5026 (features/quota: Improvements to quota) posted (#15) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 40 Anand Avati 2013-08-27 09:36:12 EDT
REVIEW: http://review.gluster.org/5709 (cluster/afr: Add special handling for all writev EDQUOT) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 41 Anand Avati 2013-08-27 12:54:32 EDT
REVIEW: http://review.gluster.org/5709 (cluster/afr: Add special handling for failure postops) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 42 Anand Avati 2013-08-28 20:43:42 EDT
COMMIT: http://review.gluster.org/5709 committed in master by Anand Avati (avati@redhat.com) 
------
commit db0b19a5420d417cf4da70bf886b53619e17a739
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Tue Aug 27 13:42:41 2013 +0530

    cluster/afr: Add special handling for failure postops
    
    Idea is to not leave the file in FOOL-FOOL scenario in case on
    all the bricks data transaction failed with EDQUOT to avoid
    increasing un-necessary load of self-heals in the system.
    
    For directory transactions don't leave pending changelog in case
    the failures are seen on all the subvolumes.
    
    Change-Id: I38a5561d1d581a78347a76a4a509514e4a0c3fb7
    BUG: 969461
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/5709
    Reviewed-by: Anand Avati <avati@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 43 Anand Avati 2013-09-17 03:50:15 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 44 Anand Avati 2013-09-17 03:50:50 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 45 Anand Avati 2013-09-17 03:51:25 EDT
REVIEW: http://review.gluster.org/5954 (transport/socket: don't try to set TCP_DELAY on unix domain sockets.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 46 Anand Avati 2013-09-17 03:53:43 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 47 Anand Avati 2013-09-18 06:18:47 EDT
REVIEW: http://review.gluster.org/5954 (transport/socket: don't try to set TCP_DELAY on unix domain sockets.) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 48 Anand Avati 2013-09-18 06:19:19 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 49 Anand Avati 2013-09-18 06:19:49 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 50 Anand Avati 2013-09-18 06:20:20 EDT
REVIEW: http://review.gluster.org/5965 (cli: Changes to quota command Quota feature re-work) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 51 Anand Avati 2013-09-18 06:20:51 EDT
REVIEW: http://review.gluster.org/5966 (glusterd: glusterd changes to quota) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 52 Anand Avati 2013-09-19 04:58:01 EDT
REVIEW: http://review.gluster.org/5966 (glusterd: glusterd changes to quota.) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 53 Anand Avati 2013-09-19 04:58:32 EDT
REVIEW: http://review.gluster.org/5965 (cli: Changes to quota command Quota feature re-work.) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 54 Anand Avati 2013-09-19 04:59:02 EDT
REVIEW: http://review.gluster.org/5954 (transport/socket: don't try to set TCP_DELAY on unix domain sockets) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 55 Anand Avati 2013-09-19 04:59:33 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 56 Anand Avati 2013-09-19 05:00:04 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 57 Anand Avati 2013-09-24 03:07:59 EDT
REVIEW: http://review.gluster.org/5966 (quota test commit:) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 58 Anand Avati 2013-09-26 02:24:46 EDT
REVIEW: http://review.gluster.org/5965 (cli: Changes to quota command Quota feature re-work.) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 59 Anand Avati 2013-09-26 02:25:18 EDT
REVIEW: http://review.gluster.org/5954 (transport/socket: don't try to set TCP_DELAY on unix domain sockets) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 60 Anand Avati 2013-09-26 02:25:49 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#5) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 61 Anand Avati 2013-09-26 02:26:21 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 62 Anand Avati 2013-09-26 02:26:52 EDT
REVIEW: http://review.gluster.org/6003 (glusterd: glusterd changes to quota.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 63 Anand Avati 2013-10-04 04:17:21 EDT
REVIEW: http://review.gluster.org/5965 (cli: Changes to quota command Quota feature re-work.) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 64 Anand Avati 2013-10-04 04:17:31 EDT
REVIEW: http://review.gluster.org/5954 (transport/socket: don't try to set TCP_DELAY on unix domain sockets) posted (#5) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 65 Anand Avati 2013-10-04 04:17:38 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#6) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 66 Anand Avati 2013-10-04 04:17:46 EDT
REVIEW: http://review.gluster.org/6003 (glusterd: glusterd changes to quota.) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 67 Anand Avati 2013-10-04 04:17:58 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#5) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 68 Anand Avati 2013-10-09 05:30:58 EDT
REVIEW: http://review.gluster.org/5965 (cli: Changes to quota command Quota feature re-work.) posted (#5) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 69 Anand Avati 2013-10-09 05:31:07 EDT
REVIEW: http://review.gluster.org/5954 (transport/socket: don't try to set TCP_DELAY on unix domain sockets) posted (#6) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 70 Anand Avati 2013-10-09 05:31:15 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#7) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 71 Anand Avati 2013-10-09 05:31:23 EDT
REVIEW: http://review.gluster.org/6003 (glusterd: glusterd changes to quota.) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 72 Anand Avati 2013-10-09 05:31:32 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#6) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 73 Anand Avati 2013-10-10 12:08:16 EDT
REVIEW: http://review.gluster.org/5965 (cli: Changes to quota command Quota feature re-work.) posted (#6) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 74 Anand Avati 2013-10-10 12:08:25 EDT
REVIEW: http://review.gluster.org/5954 (transport/socket: don't try to set TCP_DELAY on unix domain sockets) posted (#7) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 75 Anand Avati 2013-10-10 12:08:35 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#8) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 76 Anand Avati 2013-10-10 12:08:43 EDT
REVIEW: http://review.gluster.org/6003 (glusterd: glusterd changes to quota.) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 77 Anand Avati 2013-10-10 12:08:55 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#7) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 78 Anand Avati 2013-10-11 05:47:19 EDT
REVIEW: http://review.gluster.org/5965 (cli: Changes to quota command Quota feature re-work.) posted (#7) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 79 Anand Avati 2013-10-11 05:47:30 EDT
REVIEW: http://review.gluster.org/5954 (transport/socket: don't try to set TCP_DELAY on unix domain sockets) posted (#8) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 80 Anand Avati 2013-10-11 05:47:37 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#9) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 81 Anand Avati 2013-10-11 05:47:45 EDT
REVIEW: http://review.gluster.org/6003 (glusterd: glusterd changes to quota.) posted (#5) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 82 Anand Avati 2013-10-11 05:47:52 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#8) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 83 Anand Avati 2013-10-11 08:17:34 EDT
REVIEW: http://review.gluster.org/5954 (transport/socket: don't try to set TCP_DELAY on unix domain sockets) posted (#9) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 84 Anand Avati 2013-10-11 08:17:44 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#10) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 85 Anand Avati 2013-10-11 08:17:52 EDT
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#6) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 86 Anand Avati 2013-10-11 08:18:00 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#9) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 87 Anand Avati 2013-10-11 21:43:14 EDT
REVIEW: http://review.gluster.org/5954 (transport/socket: don't try to set TCP_DELAY on unix domain sockets) posted (#10) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 88 Anand Avati 2013-10-11 21:43:22 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#11) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 89 Anand Avati 2013-10-11 21:43:30 EDT
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#7) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 90 Anand Avati 2013-10-11 21:43:37 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#10) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 91 Anand Avati 2013-10-12 03:42:19 EDT
COMMIT: http://review.gluster.org/5954 committed in master by Anand Avati (avati@redhat.com) 
------
commit 9da2cb37834db98596dae8f7fb6d8f6abb513687
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Tue Sep 17 11:44:34 2013 +0530

    transport/socket: don't try to set TCP_DELAY on unix domain sockets
    
    Change-Id: I290cd983bd0dff2e32e5ee90a12e888a3b31c6fd
    BUG: 969461
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/5954
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 92 Anand Avati 2013-10-16 02:05:27 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#12) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 93 Anand Avati 2013-10-16 02:05:39 EDT
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#8) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 94 Anand Avati 2013-10-16 02:05:49 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#11) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 95 Anand Avati 2013-10-18 07:39:36 EDT
REVIEW: http://review.gluster.org/6104 (features/quota: Add the quota config xattr to newly added brick) posted (#2) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 96 Anand Avati 2013-10-22 01:29:42 EDT
REVIEW: http://review.gluster.org/6104 (features/quota: Add the quota config xattr to newly added brick) posted (#3) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 97 Anand Avati 2013-10-22 08:35:22 EDT
REVIEW: http://review.gluster.org/6104 (features/quota: Add the quota config xattr to newly added brick) posted (#4) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 98 Anand Avati 2013-10-23 08:28:10 EDT
REVIEW: http://review.gluster.org/6125 (features/quota: Metadata cleanup) posted (#2) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 99 Anand Avati 2013-10-24 08:30:16 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#13) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 100 Anand Avati 2013-10-24 08:30:26 EDT
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#9) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 101 Anand Avati 2013-10-24 08:30:38 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#12) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 102 Anand Avati 2013-10-24 12:09:59 EDT
REVIEW: http://review.gluster.org/6125 (features/quota: Metadata cleanup) posted (#3) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 103 Anand Avati 2013-10-28 00:49:42 EDT
REVIEW: http://review.gluster.org/6126 (features/quota: Correct the statfs calculation when set limit is beyond ...) posted (#2) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 104 Anand Avati 2013-10-28 01:56:42 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#14) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 105 Anand Avati 2013-10-28 01:56:50 EDT
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#10) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 106 Anand Avati 2013-10-28 01:56:58 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#13) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 107 Anand Avati 2013-10-28 06:21:47 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#15) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 108 Anand Avati 2013-10-28 06:22:05 EDT
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#11) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 109 Anand Avati 2013-10-28 06:22:14 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#14) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 110 Anand Avati 2013-10-28 09:49:34 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#16) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)
Comment 111 Anand Avati 2013-10-28 09:49:52 EDT
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#12) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)
Comment 112 Anand Avati 2013-10-28 09:50:04 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#15) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)
Comment 113 Anand Avati 2013-10-28 12:38:21 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#17) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)
Comment 114 Anand Avati 2013-10-28 12:38:41 EDT
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#13) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)
Comment 115 Anand Avati 2013-10-28 12:38:49 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#16) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)
Comment 116 Anand Avati 2013-10-29 11:45:16 EDT
REVIEW: http://review.gluster.org/6125 (features/quota: Metadata cleanup) posted (#6) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 117 Anand Avati 2013-10-31 02:03:08 EDT
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#18) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 118 Anand Avati 2013-10-31 02:03:19 EDT
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#14) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 119 Anand Avati 2013-10-31 02:03:27 EDT
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#17) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 120 Anand Avati 2013-11-04 06:13:27 EST
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#19) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 121 Anand Avati 2013-11-04 06:13:38 EST
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#15) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 122 Anand Avati 2013-11-04 06:13:45 EST
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#18) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 123 Anand Avati 2013-11-11 08:58:34 EST
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#20) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 124 Anand Avati 2013-11-11 08:58:44 EST
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature  re-work.) posted (#16) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 125 Anand Avati 2013-11-11 08:58:52 EST
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#19) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 126 Anand Avati 2013-11-11 11:32:35 EST
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#21) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 127 Anand Avati 2013-11-11 11:32:43 EST
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#17) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 128 Anand Avati 2013-11-11 11:32:51 EST
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#20) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 129 Anand Avati 2013-11-11 13:07:46 EST
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#22) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 130 Anand Avati 2013-11-11 13:07:54 EST
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#18) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 131 Anand Avati 2013-11-11 13:08:02 EST
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#21) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 132 Anand Avati 2013-11-12 10:13:03 EST
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#23) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 133 Anand Avati 2013-11-12 10:13:17 EST
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#19) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 134 Anand Avati 2013-11-12 10:13:27 EST
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#22) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 135 Anand Avati 2013-11-13 06:17:49 EST
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#24) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 136 Anand Avati 2013-11-13 06:18:00 EST
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature re-work.) posted (#20) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 137 Anand Avati 2013-11-13 06:18:08 EST
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#23) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 138 Anand Avati 2013-11-14 07:04:16 EST
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#25) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 139 Anand Avati 2013-11-14 07:04:27 EST
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature  re-work.) posted (#21) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 140 Anand Avati 2013-11-14 07:04:34 EST
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#24) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 141 Anand Avati 2013-11-14 07:45:01 EST
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#26) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 142 Anand Avati 2013-11-14 07:45:09 EST
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature  re-work.) posted (#22) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 143 Anand Avati 2013-11-14 07:45:18 EST
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#25) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 144 Anand Avati 2013-11-26 01:06:06 EST
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#43) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 145 Anand Avati 2013-11-26 01:06:17 EST
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature  re-work.) posted (#39) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 146 Anand Avati 2013-11-26 01:06:27 EST
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#42) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 147 Anand Avati 2013-11-26 05:46:04 EST
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#44) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 148 Anand Avati 2013-11-26 05:46:17 EST
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature  re-work.) posted (#40) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 149 Anand Avati 2013-11-26 05:46:27 EST
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#43) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 150 Anand Avati 2013-11-26 06:41:11 EST
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#45) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 151 Anand Avati 2013-11-26 06:41:23 EST
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature  re-work.) posted (#41) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 152 Anand Avati 2013-11-26 06:41:32 EST
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#44) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 153 Anand Avati 2013-11-26 07:29:05 EST
REVIEW: http://review.gluster.org/5953 (features/marker: quota friendly changes) posted (#46) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 154 Anand Avati 2013-11-26 07:29:15 EST
REVIEW: http://review.gluster.org/6003 (cli/glusterd: Changes to quota command Quota feature  re-work.) posted (#42) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 155 Anand Avati 2013-11-26 07:29:26 EST
REVIEW: http://review.gluster.org/5952 (features/quota: Improvements to quota) posted (#45) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 156 Anand Avati 2013-11-26 07:29:36 EST
REVIEW: http://review.gluster.org/6360 (features/quota: Add TODO file.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 157 Anand Avati 2013-11-26 13:23:09 EST
COMMIT: http://review.gluster.org/5953 committed in master by Anand Avati (avati@redhat.com) 
------
commit 460ce40d3e2069bf6262dccea6f5ae2fac60d90f
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Mon Sep 16 21:35:08 2013 +0530

    features/marker: quota friendly changes
    
    * handles renames on dht linkfiles correctly
    
    * nameless lookup friendly changes. uses gfid-to-path conversion
      functionality from storage/posix to build ancestry till root.
    
    * log message cleanup.
    
    * build inode contexts in readdirp
    
    * Accounting still not correct with hardlinks.
    
    Credits:
    ========
    Vijay Bellur <vbellur@redhat.com>
    Raghavendra Bhat <rabhat@redhat.com>
    
    Change-Id: I415b6fbbc9691f5a38d9fd3c5d083a61e578bb81
    BUG: 969461
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/5953
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 158 Anand Avati 2013-11-26 13:24:09 EST
COMMIT: http://review.gluster.org/5952 committed in master by Anand Avati (avati@redhat.com) 
------
commit ab3ab1978a4768e9eed8e23b47e72b25046e607a
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Mon Sep 16 17:46:50 2013 +0530

    features/quota: Improvements to quota
    
    * Two stages of quota enforcement is done:
    
      Soft and hard quota Upon reaching soft quota limit on the directory
      it logs/alerts in the quota daemon log (ie DEFAULT_LOG_DIR/quotad.log)
      and no more writes allowed after hard
      quota limit. After reaching the soft-limit the daemon alerts the
      user/admin repeatively for every 'alert-time', which is
      configurable.
    
    * Quota enforcer is moved to server-side.
    
      It  takes care of enforcing quota. Since enforcer doesn't have the
      cluster view, it relies on another service called
      quota-aggregator. Aggregator, on query can return the size of a
      directory based on the cluster view.
    
      Enforcer is always loaded in the server graph and is by passed if
      the feature is not enabled.
    
      Options specific to enforcer:
    
      server-quota - Specifies whether the feature is on/off. It is used
      to by pass the quota if turned off.
    
      deem-statfs - If set to on, it takes quota limits into consideration
      while estimating fs size. (df command). The algorithm followed is,
      i.   Adjust statvfs based on limit configured on root.
      ii.  If limit is set on the inode passed, use size/limits on that inode to
           populate statvfs. Otherwise, use size/limits configured on root.
      iii. Upon statvfs, update the ctx->size on the inode.
      iv.  Don't let DHT aggregate, instead take the maximum of the usages from the
           subvols of the DHT, since each of it contains the complete information.
    
      Enforcer also makes use of gfid-to-path conversion functionality to
      work correctly when a client like nfs predominently relies on
      nameless lookups.
    
    * Quota Aggregator acts as a thin client to provide cluster view
    
      Its a lightweight *gluster client* process with no mount point,
      started upon enabling quota or restarting the volume. This is a
      single process run on each brick, which can answer queries on all
      volumes in the cluster. Its volfile stored in
      GLUSTERD_DEFAULT_WORKING_DIR/quotad/quotad.vol.
    
    Credits:
    Raghavendra Bhat        <rabhat@redhat.com>
    Varun Shastry           <vshastry@redhat.com>
    Shishir Gowda           <sgowda@redhat.com>
    Kruthika Dhananjay      <kdhananj@redhat.com>
    Brian Foster            <bfoster@redhat.com>
    Krishnan Parthasarathi  <kparthas@redhat.com>
    
    Change-Id: Id1cb25b414951da34c665a55f77385d482e0f9de
    BUG: 969461
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/5952
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 159 Anand Avati 2013-11-26 13:25:37 EST
COMMIT: http://review.gluster.org/6003 committed in master by Anand Avati (avati@redhat.com) 
------
commit 0d5cd92f51c02b8d664000b5a2d22a2ddbbc23b6
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Thu Nov 14 17:05:26 2013 +0530

    cli/glusterd: Changes to quota command Quota feature
     re-work.
    
    Following are the cli commands that are new/re-worked:
    ======================================================
    
    volume quota <VOLNAME> {enable|disable|list [<path> ...]|remove <path>| default-soft-limit <percent>} |
    volume quota <VOLNAME> {limit-usage <path> <size> [<percent>]} |
    volume quota <VOLNAME> {alert-time|soft-timeout|hard-timeout} {<time>}
    volume status [all | <VOLNAME> [nfs|shd|<BRICK>|quotad]] [detail|clients|mem|inode|fd|callpool]
    volume statedump <VOLNAME> [nfs|quotad] [all|mem|iobuf|callpool|priv|fd|inode|history]
    
    glusterd changes:
    =================
    * Quota limits are now set as extended attributes by glusterd from
      the aux mount created by the cli.
    * The gfids of the directories on which quota limits are set
      for a given volume are stored in
      /var/lib/glusterd/vols/<volname>/quota.conf file in binary format,
      and whose cksum and version is stored in
      /var/lib/glusterd/vols/<volname>/quota.cksum.
    
    Original-author: Krutika Dhananjay <kdhananj@redhat.com>
    Original-author: Krishnan Parthasarathi <kparthas@redhat.com>
    
    BUG: 969461
    Change-Id: If32bba36c67f9c2a30417af9c6389045b2b7c13b
    Signed-off-by: Krutika Dhananjay <kdhananj@redhat.com>
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/6003
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 160 Anand Avati 2013-11-26 13:27:48 EST
COMMIT: http://review.gluster.org/6360 committed in master by Anand Avati (avati@redhat.com) 
------
commit ec8c678c4d8b948c1b471e497db5adc0221c154b
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Tue Nov 26 17:37:24 2013 +0530

    features/quota: Add TODO file.
    
    Change-Id: I31990f05ca1814d229026965b7675e3990a65678
    BUG: 969461
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/6360
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 161 Anand Avati 2013-11-26 14:57:19 EST
COMMIT: http://review.gluster.org/6104 committed in master by Anand Avati (avati@redhat.com) 
------
commit 50a6e9a74014897b003cadbd297fd0343eb56367
Author: Varun Shastry <vshastry@redhat.com>
Date:   Tue Oct 15 17:25:51 2013 +0530

    features/quota: Add the quota config xattr to newly added brick
    
    Issue:
    Quota directory limit configuration is stored in the xattrs. When a new brick
    is added these 'limit-set' xattrs have to be created to the directory in the
    new brick. This is done by the dht directory healing when the directory is
    created in the new brick. Since 'root' directory is already created DHT doesn't
    heal the limit-set xattr root.
    
    Solution:
    When the add-brick command is issued run the below hook script to heal the
    'limit-set' xattr. The hook script does the following only if limit is
    configured on root.
        1. Create an auxiliary mount.
        2. getxattr 'limit-set' on the root
        3. setxattr the same value on the root
    But this script needs the volume to be started to make the auxiliary mount.
    
    To handle the case when the add-brick is issued when the volume was stopped,
    symlink is created by the 'master' script to the corresponding location and
    these two are by default disabled.
    
    So, a 'master' script is added in the add-brick/pre. When add-brick command is
    issued, it enables one of the scripts mentioned above based on the condition,
        if volume is started - enable add-brick/post script
        else                 - enable start/post script
    After the actual script completes its job, it disables itself.
    
    Note:
    The enabling and disabling of the script is based on the glusterd's logic, that
    it only runs the scripts which starts its name with 'S'. So,
        Enable     - symlink the file to 'S'*
        Disable    - unlink the symlink.
    
    Change-Id: I2d3947a4d686c54417ec95f530af3bdd3444f4e2
    BUG: 969461
    Signed-off-by: Varun Shastry <vshastry@redhat.com>
    Reviewed-on: http://review.gluster.org/6104
    Reviewed-by: Brian Foster <bfoster@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 162 Anand Avati 2013-11-26 23:24:29 EST
REVIEW: http://review.gluster.org/6366 (cli, glusterd: More quota fixes ...) posted (#1) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 163 Anand Avati 2013-11-27 03:41:46 EST
REVIEW: http://review.gluster.org/6366 (cli, glusterd: More quota fixes ...) posted (#2) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 164 Anand Avati 2013-11-27 05:34:48 EST
REVIEW: http://review.gluster.org/6126 (features/quota: Correct the statfs calculation when set limit is beyond ...) posted (#3) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 165 Anand Avati 2013-11-27 05:34:58 EST
REVIEW: http://review.gluster.org/6369 (features/quota: Metadata cleanup) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 166 Anand Avati 2013-11-28 02:20:31 EST
REVIEW: http://review.gluster.org/6373 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 167 Anand Avati 2013-11-28 07:09:49 EST
REVIEW: http://review.gluster.org/6369 (features/quota: Metadata cleanup) posted (#2) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 168 Anand Avati 2013-11-29 06:43:24 EST
REVIEW: http://review.gluster.org/6380 (features/quota: Make grep search more accurately) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 169 Anand Avati 2013-11-30 13:15:12 EST
COMMIT: http://review.gluster.org/6366 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 182bad8bfd099da5e742da28c4820936eb1f3867
Author: Krutika Dhananjay <kdhananj@redhat.com>
Date:   Mon Nov 25 15:16:23 2013 +0530

    cli, glusterd: More quota fixes ...
    
    ... which may be grouped under the following categories:
    
    1. Fix incorrect cli exit status for 'quota list' cmd
    2. Print appropriate error message on quota parse errors in cli
    
            Authored by: Anuradha Talur <atalur@redhat.com>
    
    3. glusterd: Improve quota validation during stage-op
    4. Fix peer probe issues resulting from quota conf checksum mismatches
    5. Enhancements to CLI output in the event of quota command failures
    
            Authored by: Kaushal Madappa <kmadappa@redhat.com>
    
    7. Move aux mount location from /tmp to /var/run/gluster
    
            Authored by: Krishnan Parthasarathi <kparthas@redhat.com>
    
    8. Fix performance issues in quota limit-usage
    
            Authored by: Krutika Dhananjay <kdhananj@redhat.com>
    
    Note: Some functions that were used in earlier version of quota,
          that aren't called anymore have been removed.
    
    Change-Id: I9d874f839ae5fdcfbe6d4f2d727eac091f27ac57
    BUG: 969461
    Signed-off-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-on: http://review.gluster.org/6366
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 170 Anand Avati 2013-12-01 23:32:42 EST
REVIEW: http://review.gluster.org/6386 (cli, glusterd: More quota fixes ...) posted (#1) for review on release-3.5 by Krutika Dhananjay (kdhananj@redhat.com)
Comment 171 Anand Avati 2013-12-02 05:20:46 EST
REVIEW: http://review.gluster.org/6392 (cluster/dht: Set quota limit key in dht_selfheal of dirs.) posted (#1) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 172 Anand Avati 2013-12-03 04:48:38 EST
COMMIT: http://review.gluster.org/6386 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 8ed37473b124c97363b3f7eaf9824070559b4ec2
Author: Krutika Dhananjay <kdhananj@redhat.com>
Date:   Mon Nov 25 15:16:23 2013 +0530

    cli, glusterd: More quota fixes ...
    
    ... which may be grouped under the following categories:
    
    1. Fix incorrect cli exit status for 'quota list' cmd
    2. Print appropriate error message on quota parse errors in cli
    
            Authored by: Anuradha Talur <atalur@redhat.com>
    
    3. glusterd: Improve quota validation during stage-op
    4. Fix peer probe issues resulting from quota conf checksum mismatches
    5. Enhancements to CLI output in the event of quota command failures
    
            Authored by: Kaushal Madappa <kmadappa@redhat.com>
    
    7. Move aux mount location from /tmp to /var/run/gluster
    
            Authored by: Krishnan Parthasarathi <kparthas@redhat.com>
    
    8. Fix performance issues in quota limit-usage
    
            Authored by: Krutika Dhananjay <kdhananj@redhat.com>
    
    Note: Some functions that were used in earlier version of quota,
          that aren't called anymore have been removed.
    
    Change-Id: I963d4145f3ecdfe30c61bfa8920baccb33d2d4bd
    BUG: 969461
    Signed-off-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-on: http://review.gluster.org/6386
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 173 Anand Avati 2013-12-05 02:10:59 EST
REVIEW: http://review.gluster.org/6373 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 174 Anand Avati 2013-12-05 02:11:21 EST
REVIEW: http://review.gluster.org/6434 (features/quota: build ancestry in quota_update_size too.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 175 Anand Avati 2013-12-05 03:39:57 EST
REVIEW: http://review.gluster.org/6437 (Add upgrade scripts for quota) posted (#1) for review on release-3.5 by Krutika Dhananjay (kdhananj@redhat.com)
Comment 176 Anand Avati 2013-12-05 03:40:07 EST
REVIEW: http://review.gluster.org/6438 (doc: Upgrade steps for quota) posted (#1) for review on release-3.5 by Krutika Dhananjay (kdhananj@redhat.com)
Comment 177 Anand Avati 2013-12-11 03:42:49 EST
COMMIT: http://review.gluster.org/6437 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 5af997090037e52a9f219d5f35580cbe25663e5a
Author: Krutika Dhananjay <kdhananj@redhat.com>
Date:   Tue Sep 17 17:01:07 2013 +0530

    Add upgrade scripts for quota
    
    Change-Id: Ic636517ecece069019d798b4e90323d71afc35aa
    BUG: 969461
    Signed-off-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-on: http://review.gluster.org/6437
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 178 Anand Avati 2013-12-11 03:43:09 EST
COMMIT: http://review.gluster.org/6438 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 620795f9db28186e648d089495a335f17f5679e8
Author: Krutika Dhananjay <kdhananj@redhat.com>
Date:   Wed Sep 18 14:12:58 2013 +0530

    doc: Upgrade steps for quota
    
    Change-Id: I6701cba911665cfefa1984c0441701a3354635d6
    BUG: 969461
    Signed-off-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-on: http://review.gluster.org/6438
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 179 Anand Avati 2013-12-11 04:17:31 EST
REVIEW: http://review.gluster.org/6479 (features/quota: log usage only if hard limit not exceeded.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 180 Anand Avati 2013-12-12 02:03:07 EST
REVIEW: http://review.gluster.org/6434 (features/quota: build ancestry in quota_update_size too.) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 181 Anand Avati 2013-12-12 02:03:19 EST
REVIEW: http://review.gluster.org/6373 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 182 Anand Avati 2013-12-12 02:03:26 EST
REVIEW: http://review.gluster.org/6491 (features/quota: maintain correct link_count in ancestry building codepath.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 183 Anand Avati 2013-12-13 07:19:02 EST
REVIEW: http://review.gluster.org/6479 (features/quota: log usage only if hard limit not exceeded.) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 184 Anand Avati 2013-12-16 00:06:16 EST
COMMIT: http://review.gluster.org/6479 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 44d644729b57ffbf71c70f21df0ffdd1e5fbb7c7
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Wed Dec 11 14:32:49 2013 +0530

    features/quota: log usage only if hard limit not exceeded.
    
    Change-Id: I60abf576999996e0d0d65534e1e416f6e10994c8
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    BUG: 969461
    Reviewed-on: http://review.gluster.org/6479
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 185 Anand Avati 2013-12-16 06:58:53 EST
REVIEW: http://review.gluster.org/6369 (features/quota: Metadata cleanup) posted (#3) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 186 Anand Avati 2013-12-18 01:36:18 EST
REVIEW: http://review.gluster.org/6532 (quota: fix recording of last alert log message) posted (#1) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)
Comment 187 Anand Avati 2013-12-18 04:47:23 EST
REVIEW: http://review.gluster.org/6380 (features/quota: Make grep search more accurately) posted (#2) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 188 Anand Avati 2013-12-20 02:12:11 EST
REVIEW: http://review.gluster.org/6392 (cluster/dht: Set quota limit key in dht_selfheal of dirs.) posted (#2) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 189 Anand Avati 2013-12-23 04:36:56 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 190 Anand Avati 2013-12-23 04:40:01 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 191 Anand Avati 2013-12-23 06:22:34 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 192 Anand Avati 2013-12-23 06:24:35 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 193 Anand Avati 2013-12-24 01:27:04 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#5) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 194 Anand Avati 2013-12-26 01:10:15 EST
REVIEW: http://review.gluster.org/6434 (features/quota: build ancestry in quota_update_size too.) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 195 Anand Avati 2013-12-26 01:10:32 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#6) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 196 Anand Avati 2013-12-26 01:10:41 EST
REVIEW: http://review.gluster.org/6373 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 197 Anand Avati 2013-12-26 01:10:48 EST
REVIEW: http://review.gluster.org/6491 (features/quota: maintain correct link_count in ancestry building codepath.) posted (#2) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 198 Anand Avati 2013-12-26 03:46:37 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: fix timing issues during quota enable.) posted (#7) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 199 Anand Avati 2014-01-03 00:36:30 EST
REVIEW: http://review.gluster.org/6392 (cluster/dht: Set quota limit key in dht_selfheal of dirs.) posted (#3) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 200 Anand Avati 2014-01-15 23:07:50 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#8) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 201 Anand Avati 2014-01-16 05:01:46 EST
COMMIT: http://review.gluster.org/6369 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 39968c09626074b34b62541af5940f44ba70cc06
Author: Varun Shastry <vshastry@redhat.com>
Date:   Tue Oct 22 16:12:58 2013 +0530

    features/quota: Metadata cleanup
    
    Quota and marker uses 'trusted.glusterfs.quota*' and 'trusted.pgfid*' xattrs to
    store its configurations and accounting information and also to build the
    parent inode chain in case of absense of path.
    
    Problem:
    After disabling and then enabling quota back, the xattrs may contain stale data
    leading to impaired accounting and thus improper enforcement.
    
    Solution:
    Clean up all the quota related xattrs after quota disable.
    
    Marker xlator implements a virtual xattr to cleanup quota and pgfid xattrs. In
    this approach glusterd mounts an auxiliary mount and sends the below command to
    all the files by crawling the mountpoint.
    
     #setfattr -n "glusterfs.quota-xattr-cleanup" -v 1 <path/to/file>
    
    Credit:
    Krishnan Parthasarathi <kparthas@redhat.com>
    Varun Shastry          <vshastry@redhat.com>
    Change-Id: I9380eca58a285dc27dd572de1767aac8f2cd8049
    BUG: 969461
    Signed-off-by: Varun Shastry <vshastry@redhat.com>
    Reviewed-on: http://review.gluster.org/6369
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 202 Anand Avati 2014-01-16 06:33:30 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: fix timing issues during quota enable.) posted (#9) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 203 Anand Avati 2014-01-16 06:33:41 EST
REVIEW: http://review.gluster.org/6373 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#5) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 204 Anand Avati 2014-01-17 00:23:30 EST
COMMIT: http://review.gluster.org/6532 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit a20e79ab3d0827936b679689055ea453c1d01abb
Author: Krishnan Parthasarathi <kparthas@redhat.com>
Date:   Tue Dec 17 16:04:46 2013 +0530

    quota: fix recording of last alert log message
    
    PROBLEM:
    
    Alert log messages, corresponding to disk usage crossing soft-limit on a
    directory, weren't being logged as often as expected.
    
    CAUSE:
    
    The mechanism in place to log alert messages, once every alert-time
    seconds, set the previous logged time incorrectly.
    
    FIX:
    
    Update previous logged time only if we logged an alert message, ie. when
    the "time was right" to alert.
    
    Change-Id: Iafcb7be11e3240e2d04b0bb29ddb88e4f4a1bd25
    BUG: 969461
    Signed-off-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Reviewed-on: http://review.gluster.org/6532
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 205 Anand Avati 2014-01-17 00:30:45 EST
COMMIT: http://review.gluster.org/6380 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit c0a14c00bfb9152abdb5cedcf5aa1b9ed9a6ac6a
Author: Varun Shastry <vshastry@redhat.com>
Date:   Fri Nov 29 14:49:33 2013 +0530

    features/quota: Make grep search more accurately
    
    The hook script was searching the info file for "features.quota" to know the
    quota status (enable/disabled). When features.quota-deem-statfs the grep is not
    accurate. Fixed this issue.
    
    Change-Id: I4104a93c1c1e0ac9fd7ef7bfef993425ab50e651
    BUG: 969461
    Signed-off-by: Varun Shastry <vshastry@redhat.com>
    Reviewed-on: http://review.gluster.org/6380
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 206 Anand Avati 2014-01-17 01:34:50 EST
REVIEW: http://review.gluster.org/6434 (features/quota: remove in-memory accounting of files in enforcer) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 207 Anand Avati 2014-01-17 01:35:00 EST
REVIEW: http://review.gluster.org/6373 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#6) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 208 Anand Avati 2014-01-17 01:35:07 EST
REVIEW: http://review.gluster.org/6491 (features/quota: maintain correct link_count in ancestry building codepath.) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 209 Anand Avati 2014-01-20 06:35:30 EST
REVIEW: http://review.gluster.org/6392 (cluster/dht: Set quota limit key in dht_selfheal of dirs.) posted (#4) for review on master by Varun Shastry (vshastry@redhat.com)
Comment 210 Anand Avati 2014-01-20 06:38:26 EST
REVIEW: http://review.gluster.org/6434 (features/quota: remove in-memory accounting of files in enforcer) posted (#5) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 211 Anand Avati 2014-01-20 06:38:36 EST
REVIEW: http://review.gluster.org/6373 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#7) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 212 Anand Avati 2014-01-20 06:38:47 EST
REVIEW: http://review.gluster.org/6491 (features/quota: maintain correct link_count in ancestry building codepath.) posted (#4) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 213 Anand Avati 2014-01-21 06:21:11 EST
REVIEW: http://review.gluster.org/6434 (features/quota: remove in-memory accounting of files in enforcer) posted (#6) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 214 Anand Avati 2014-01-21 06:21:27 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#10) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 215 Anand Avati 2014-01-21 06:21:39 EST
REVIEW: http://review.gluster.org/6373 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#8) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 216 Anand Avati 2014-01-21 06:21:49 EST
REVIEW: http://review.gluster.org/6491 (features/quota: maintain correct link_count in ancestry building codepath.) posted (#5) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 217 Anand Avati 2014-01-22 00:41:22 EST
REVIEW: http://review.gluster.org/6434 (features/quota: remove in-memory accounting of files in enforcer) posted (#7) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 218 Anand Avati 2014-01-22 00:41:36 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#11) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 219 Anand Avati 2014-01-22 00:41:51 EST
REVIEW: http://review.gluster.org/6373 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#9) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 220 Anand Avati 2014-01-22 00:41:59 EST
REVIEW: http://review.gluster.org/4855 (features/marker: sync xtimes to disk only at specific intervals) posted (#3) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 221 Anand Avati 2014-01-22 00:42:09 EST
REVIEW: http://review.gluster.org/6491 (features/quota: maintain correct link_count in ancestry building codepath.) posted (#6) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 222 Anand Avati 2014-01-22 19:54:08 EST
REVIEW: http://review.gluster.org/6434 (features/quota: remove in-memory accounting of files in enforcer) posted (#8) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 223 Anand Avati 2014-01-22 19:54:22 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#12) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 224 Anand Avati 2014-01-22 19:54:31 EST
REVIEW: http://review.gluster.org/6373 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#10) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 225 Anand Avati 2014-01-22 19:54:39 EST
REVIEW: http://review.gluster.org/6491 (features/quota: maintain correct link_count in ancestry building codepath.) posted (#7) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 226 Anand Avati 2014-01-23 00:40:06 EST
COMMIT: http://review.gluster.org/6392 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 6c9fe8fa8896c5f4fbe8c9bac6c2c7f9add92a0b
Author: Varun Shastry <vshastry@redhat.com>
Date:   Mon Dec 2 15:49:58 2013 +0530

    cluster/dht: Set quota limit key in dht_selfheal of dirs.
    
    Also fixed check in dht_is_subvol_in_layout to check if the
    layouts are zero'ed out.
    
    Change-Id: I4bf8ebf66d3ef1946309b6c9aac9e79bf8a6d495
    BUG: 969461
    Signed-off-by: shishir gowda <sgowda@redhat.com>
    Signed-off-by: Varun Shastry <vshastry@redhat.com>
    Reviewed-on: http://review.gluster.org/6392
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 227 Anand Avati 2014-01-23 23:37:56 EST
REVIEW: http://review.gluster.org/6434 (features/quota: remove in-memory accounting of files in enforcer) posted (#9) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 228 Anand Avati 2014-01-23 23:38:13 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#13) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 229 Anand Avati 2014-01-23 23:38:20 EST
REVIEW: http://review.gluster.org/6373 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#11) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 230 Anand Avati 2014-01-23 23:38:30 EST
REVIEW: http://review.gluster.org/6491 (features/quota: maintain correct link_count in ancestry building codepath.) posted (#8) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 231 Anand Avati 2014-01-24 03:03:12 EST
REVIEW: http://review.gluster.org/6434 (features/quota: remove in-memory accounting of files in enforcer) posted (#10) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 232 Anand Avati 2014-01-24 03:03:22 EST
REVIEW: http://review.gluster.org/6572 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#14) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 233 Anand Avati 2014-01-24 03:03:31 EST
REVIEW: http://review.gluster.org/6373 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#12) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 234 Anand Avati 2014-01-24 03:03:38 EST
REVIEW: http://review.gluster.org/6491 (features/quota: maintain correct link_count in ancestry building codepath.) posted (#9) for review on master by Raghavendra G (rgowdapp@redhat.com)
Comment 235 Anand Avati 2014-01-24 06:25:50 EST
COMMIT: http://review.gluster.org/6373 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 8a21f10ad373dad117557555a7db43d489d05b28
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Wed Nov 27 11:48:29 2013 +0530

    features/quota: use STACK_WIND_TAIL when quota is turned off.
    
    Change-Id: I8a0b7f3a1995a72560c210efbad1eaafb0bdf329
    BUG: 969461
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/6373
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 236 Anand Avati 2014-01-25 10:51:24 EST
COMMIT: http://review.gluster.org/6434 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 49eb5ea29cf8d6eab0c5f60d70fe8d6a0113b61e
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Mon Dec 2 09:32:53 2013 +0530

    features/quota: remove in-memory accounting of files in enforcer
    
    Accounting was done in enforcer (though marker is the ultimate source
    of truth) to offset cached directory size becoming stale. However,
    with enforcer being moved to brick we can no longer maintain correct
    cluster wide size for a directory. Hence removing accounting code from
    enforcer.
    
    Change-Id: I5ea94234da4da85ed5f5ced1354d8de3454b3fcb
    BUG: 969461
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/6434
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 237 Anand Avati 2014-01-25 11:53:10 EST
COMMIT: http://review.gluster.org/6491 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit a10100a4b8501d15c83b416b932d8d786ea550fb
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Sat Nov 9 13:44:18 2013 +0530

    features/quota: maintain correct link_count in ancestry building
    codepath.
    
    Ancestry building codepath can be executed simultaneously when a file
    has hardlinks. So, following fixes are needed:
    
    * modify local->link_count under locks in ancestry building codepath.
    * before invoking check_limit on newly constructed parents,
      link_count should not be set, but instead incremented by as many
      number of new invocations of check_limit.
    * decrementing link_count and the check whether the count has hit zero
      to resume the waiting call_stub should be atomic.
    
    Change-Id: I6f52e50547362a5ded6bd9f085570223aea372d1
    BUG: 969461
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/6491
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 238 Anand Avati 2014-01-25 12:10:27 EST
COMMIT: http://review.gluster.org/6572 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit f05607fe05f7189dc65a6f328f83db0cbb946426
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Mon Dec 23 14:54:05 2013 +0530

    mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.
    
    without this patch there is a window of time when quota is marked as
    enabled in quota-enforcer, but connection to quotad wouldn't have been
    established. Any checklimit done during this period can result in a
    failed fop because of unavailability of quotad.
    
    Change-Id: I0d509fabc434dd55ce9ec59157123524197fcc80
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    BUG: 969461
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/6572
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 239 Anand Avati 2014-01-27 05:32:25 EST
REVIEW: http://review.gluster.org/6814 (features/quota: log usage only if hard limit not exceeded.) posted (#1) for review on release-3.5 by Raghavendra G (rgowdapp@redhat.com)
Comment 240 Anand Avati 2014-01-27 05:32:51 EST
REVIEW: http://review.gluster.org/6816 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#1) for review on release-3.5 by Raghavendra G (rgowdapp@redhat.com)
Comment 241 Anand Avati 2014-01-27 05:33:08 EST
REVIEW: http://review.gluster.org/6818 (features/quota: remove in-memory accounting of files in enforcer) posted (#1) for review on release-3.5 by Raghavendra G (rgowdapp@redhat.com)
Comment 242 Anand Avati 2014-01-27 05:33:16 EST
REVIEW: http://review.gluster.org/6819 (features/quota: maintain correct link_count in ancestry building codepath.) posted (#1) for review on release-3.5 by Raghavendra G (rgowdapp@redhat.com)
Comment 243 Anand Avati 2014-01-27 05:33:25 EST
REVIEW: http://review.gluster.org/6820 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#1) for review on release-3.5 by Raghavendra G (rgowdapp@redhat.com)
Comment 244 Anand Avati 2014-01-27 21:18:32 EST
REVIEW: http://review.gluster.org/6814 (features/quota: log usage only if hard limit not exceeded.) posted (#2) for review on release-3.5 by Raghavendra G (rgowdapp@redhat.com)
Comment 245 Anand Avati 2014-01-27 21:18:46 EST
REVIEW: http://review.gluster.org/6820 (mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.) posted (#2) for review on release-3.5 by Raghavendra G (rgowdapp@redhat.com)
Comment 246 Anand Avati 2014-01-27 21:18:56 EST
REVIEW: http://review.gluster.org/6818 (features/quota: remove in-memory accounting of files in enforcer) posted (#2) for review on release-3.5 by Raghavendra G (rgowdapp@redhat.com)
Comment 247 Anand Avati 2014-01-27 21:19:04 EST
REVIEW: http://review.gluster.org/6819 (features/quota: maintain correct link_count in ancestry building codepath.) posted (#2) for review on release-3.5 by Raghavendra G (rgowdapp@redhat.com)
Comment 248 Anand Avati 2014-01-27 21:19:12 EST
REVIEW: http://review.gluster.org/6816 (features/quota: use STACK_WIND_TAIL when quota is turned off.) posted (#2) for review on release-3.5 by Raghavendra G (rgowdapp@redhat.com)
Comment 249 Anand Avati 2014-01-28 08:00:05 EST
REVIEW: http://review.gluster.org/6838 (features/quota: Metadata cleanup) posted (#1) for review on release-3.5 by Varun Shastry (vshastry@redhat.com)
Comment 250 Anand Avati 2014-01-28 08:00:25 EST
REVIEW: http://review.gluster.org/6839 (features/quota: Make grep search more accurately) posted (#1) for review on release-3.5 by Varun Shastry (vshastry@redhat.com)
Comment 251 Anand Avati 2014-01-28 11:46:33 EST
COMMIT: http://review.gluster.org/6816 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 58392991ad3b00565124d947522fd14f54d1a901
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Wed Nov 27 11:48:29 2013 +0530

    features/quota: use STACK_WIND_TAIL when quota is turned off.
    
    Change-Id: I8a0b7f3a1995a72560c210efbad1eaafb0bdf329
    BUG: 969461
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/6373
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/6816
Comment 252 Anand Avati 2014-01-28 11:49:20 EST
COMMIT: http://review.gluster.org/6818 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit e0c07e6474956bc90449f36e4cc953dfe35a6fa4
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Mon Dec 2 09:32:53 2013 +0530

    features/quota: remove in-memory accounting of files in enforcer
    
    Accounting was done in enforcer (though marker is the ultimate source
    of truth) to offset cached directory size becoming stale. However,
    with enforcer being moved to brick we can no longer maintain correct
    cluster wide size for a directory. Hence removing accounting code from
    enforcer.
    
    Change-Id: I5ea94234da4da85ed5f5ced1354d8de3454b3fcb
    BUG: 969461
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/6434
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/6818
Comment 253 Anand Avati 2014-01-28 11:49:40 EST
COMMIT: http://review.gluster.org/6819 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 7a871c27f7dedfbd228aac4c2eefd6b829aa619c
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Sat Nov 9 13:44:18 2013 +0530

    features/quota: maintain correct link_count in ancestry building
    codepath.
    
    Ancestry building codepath can be executed simultaneously when a file
    has hardlinks. So, following fixes are needed:
    
    * modify local->link_count under locks in ancestry building codepath.
    * before invoking check_limit on newly constructed parents,
      link_count should not be set, but instead incremented by as many
      number of new invocations of check_limit.
    * decrementing link_count and the check whether the count has hit zero
      to resume the waiting call_stub should be atomic.
    
    Change-Id: I6f52e50547362a5ded6bd9f085570223aea372d1
    BUG: 969461
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/6491
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/6819
Comment 254 Anand Avati 2014-01-29 01:40:01 EST
COMMIT: http://review.gluster.org/6838 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 6cb2106c22e1ea3758ac63dc725b888470f5dd5a
Author: Varun Shastry <vshastry@redhat.com>
Date:   Tue Oct 22 16:12:58 2013 +0530

    features/quota: Metadata cleanup
    
    Quota and marker uses 'trusted.glusterfs.quota*' and 'trusted.pgfid*' xattrs to
    store its configurations and accounting information and also to build the
    parent inode chain in case of absense of path.
    
    Problem:
    After disabling and then enabling quota back, the xattrs may contain stale data
    leading to impaired accounting and thus improper enforcement.
    
    Solution:
    Clean up all the quota related xattrs after quota disable.
    
    Marker xlator implements a virtual xattr to cleanup quota and pgfid xattrs. In
    this approach glusterd mounts an auxiliary mount and sends the below command to
    all the files by crawling the mountpoint.
    
     #setfattr -n "glusterfs.quota-xattr-cleanup" -v 1 <path/to/file>
    
    Credit:
    Krishnan Parthasarathi <kparthas@redhat.com>
    Varun Shastry          <vshastry@redhat.com>
    Change-Id: I9380eca58a285dc27dd572de1767aac8f2cd8049
    BUG: 969461
    Signed-off-by: Varun Shastry <vshastry@redhat.com>
    Reviewed-on: http://review.gluster.org/6369
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/6838
Comment 255 Anand Avati 2014-01-29 01:41:48 EST
COMMIT: http://review.gluster.org/6839 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit d952c93588a2533a72efdff4f6853c5fa2dec766
Author: Varun Shastry <vshastry@redhat.com>
Date:   Fri Nov 29 14:49:33 2013 +0530

    features/quota: Make grep search more accurately
    
    The hook script was searching the info file for "features.quota" to know the
    quota status (enable/disabled). When features.quota-deem-statfs the grep is not
    accurate. Fixed this issue.
    
    Change-Id: I4104a93c1c1e0ac9fd7ef7bfef993425ab50e651
    BUG: 969461
    Signed-off-by: Varun Shastry <vshastry@redhat.com>
    Reviewed-on: http://review.gluster.org/6380
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/6839
Comment 256 Anand Avati 2014-01-29 01:43:18 EST
COMMIT: http://review.gluster.org/6126 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 3ab5d0672c7ef8a46e1b711e1593748bed407d32
Author: Varun Shastry <vshastry@redhat.com>
Date:   Wed Oct 23 16:10:31 2013 +0530

    features/quota: Correct the statfs calculation when set limit is beyond ...
    
    actual disk space.
    
    Fixed one of the cases where 'df' values data show wrong when the quota limit
    is greater than back-end disk space.
    
    Change-Id: I09fb71a37602c6f3daf6b91dd3fd19b7f5f76817
    BUG: 969461
    Signed-off-by: Varun Shastry <vshastry@redhat.com>
    Reviewed-on: http://review.gluster.org/6126
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 257 Anand Avati 2014-01-29 01:46:45 EST
COMMIT: http://review.gluster.org/6820 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit bae348ef599463a974781083a5999991dbb8ecbb
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Mon Dec 23 14:54:05 2013 +0530

    mgmt/glusterd: make sure quota enforcer has established connection with quotad before marking quota as enabled.
    
    without this patch there is a window of time when quota is marked as
    enabled in quota-enforcer, but connection to quotad wouldn't have been
    established. Any checklimit done during this period can result in a
    failed fop because of unavailability of quotad.
    
    Change-Id: I0d509fabc434dd55ce9ec59157123524197fcc80
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    BUG: 969461
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/6572
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/6820
Comment 258 Anand Avati 2014-02-02 20:22:25 EST
REVIEW: http://review.gluster.org/6886 (quota: fix recording of last alert log message) posted (#1) for review on release-3.5 by Krishnan Parthasarathi (kparthas@redhat.com)
Comment 259 Anand Avati 2014-02-03 21:59:12 EST
REVIEW: http://review.gluster.org/6886 (quota: fix recording of last alert log message) posted (#2) for review on release-3.5 by Krishnan Parthasarathi (kparthas@redhat.com)
Comment 260 Anand Avati 2014-02-06 02:06:01 EST
COMMIT: http://review.gluster.org/6886 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit af29cc47197f71b66f5a4f2dc6cca573a78bbdce
Author: Krishnan Parthasarathi <kparthas@redhat.com>
Date:   Tue Dec 17 16:04:46 2013 +0530

    quota: fix recording of last alert log message
    
            Backport of http://review.gluster.org/6532
    
    PROBLEM:
    
    Alert log messages, corresponding to disk usage crossing soft-limit on a
    directory, weren't being logged as often as expected.
    
    CAUSE:
    
    The mechanism in place to log alert messages, once every alert-time
    seconds, set the previous logged time incorrectly.
    
    FIX:
    
    Update previous logged time only if we logged an alert message, ie. when
    the "time was right" to alert.
    
    BUG: 969461
    Change-Id: Ie019c180c97d2b049fa664b14ce087b88e3b578f
    Signed-off-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Reviewed-on: http://review.gluster.org/6886
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 261 Anand Avati 2014-03-21 05:43:48 EDT
REVIEW: http://review.gluster.org/7312 (features/quota: Add upgrade scripts to distribution tarball.) posted (#1) for review on release-3.5 by Raghavendra G (rgowdapp@redhat.com)
Comment 262 Anand Avati 2014-03-22 08:26:41 EDT
COMMIT: http://review.gluster.org/7312 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 504b90a57a6e6e40a694dab1ef889bbf6f372980
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Fri Mar 21 15:11:26 2014 +0530

    features/quota: Add upgrade scripts to distribution tarball.
    
    Adds scripts to migrate quota limits from v3.4.0 to v3.5.0 to
    distribution tarball.
    
    Change-Id: Ia424cb8174fae886bedc5596752200c2f721064b
    BUG: 969461
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/7312
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 263 Anand Avati 2014-04-04 07:31:03 EDT
REVIEW: http://review.gluster.org/7401 (rpms: Add quota upgrade scripts to rpms) posted (#1) for review on release-3.5 by Krutika Dhananjay (kdhananj@redhat.com)
Comment 264 Anand Avati 2014-04-04 07:31:49 EDT
REVIEW: http://review.gluster.org/7401 (rpms: Add quota upgrade scripts to rpms) posted (#2) for review on release-3.5 by Krutika Dhananjay (kdhananj@redhat.com)
Comment 265 Anand Avati 2014-04-08 06:52:56 EDT
REVIEW: http://review.gluster.org/7418 (Add upgrade scripts for quota) posted (#1) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 266 Anand Avati 2014-04-08 06:53:18 EDT
REVIEW: http://review.gluster.org/7419 (doc: Upgrade steps for quota) posted (#1) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 267 Anand Avati 2014-04-08 07:00:12 EDT
REVIEW: http://review.gluster.org/7419 (doc: Upgrade steps for quota) posted (#2) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 268 Anand Avati 2014-04-08 07:00:20 EDT
REVIEW: http://review.gluster.org/7418 (Add upgrade scripts for quota) posted (#2) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 269 Anand Avati 2014-04-10 01:36:26 EDT
REVIEW: http://review.gluster.org/7401 (rpms: Add quota upgrade scripts to rpms) posted (#3) for review on release-3.5 by Krutika Dhananjay (kdhananj@redhat.com)
Comment 270 Anand Avati 2014-04-10 01:38:06 EDT
REVIEW: http://review.gluster.org/7419 (doc: Upgrade steps for quota) posted (#3) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 271 Anand Avati 2014-04-10 01:38:11 EDT
REVIEW: http://review.gluster.org/7418 (Add upgrade scripts for quota) posted (#3) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 272 Anand Avati 2014-04-10 11:15:57 EDT
COMMIT: http://review.gluster.org/7401 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit d4cc7595b5e21a92386e41f7ad7570ad9a728bd4
Author: Krutika Dhananjay <kdhananj@redhat.com>
Date:   Fri Apr 4 17:00:09 2014 +0530

    rpms: Add quota upgrade scripts to rpms
    
    Also replace /tmp/quota-config-backup with /var/tmp/glusterfs/quota-config-backup
    in doc and upgrade scripts.
    
    Change-Id: I289662300d32f75e2fc6e789037c3224054a38a5
    BUG: 969461
    Signed-off-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-on: http://review.gluster.org/7401
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 273 Anand Avati 2014-04-14 00:32:09 EDT
REVIEW: http://review.gluster.org/7419 (doc: Upgrade steps for quota) posted (#4) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 274 Anand Avati 2014-04-14 00:32:17 EDT
REVIEW: http://review.gluster.org/7418 (Add upgrade scripts for quota) posted (#4) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 275 Anand Avati 2014-04-17 14:35:24 EDT
COMMIT: http://review.gluster.org/7419 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit c7d59dc00860ac6c355845bf79ba787d9e92e036
Author: Krutika Dhananjay <kdhananj@redhat.com>
Date:   Wed Sep 18 14:12:58 2013 +0530

    doc: Upgrade steps for quota
    
    Change-Id: Ib007029f74f52d28e424a15950d46504336bde10
    BUG: 969461
    Signed-off-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-on: http://review.gluster.org/7419
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 276 Anand Avati 2014-04-17 14:38:32 EDT
COMMIT: http://review.gluster.org/7418 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit e55f3fe25a4fd2cc9021fad97faedc5e94aa4e7c
Author: Krutika Dhananjay <kdhananj@redhat.com>
Date:   Tue Sep 17 17:01:07 2013 +0530

    Add upgrade scripts for quota
    
    Change-Id: I289662300d32f75e2fc6e789037c3224054a38a5
    BUG: 969461
    Signed-off-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-on: http://review.gluster.org/7418
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 277 Niels de Vos 2014-07-11 11:34:07 EDT
*** Bug 909798 has been marked as a duplicate of this bug. ***
Comment 278 Niels de Vos 2014-07-11 14:22:38 EDT
*** Bug 1005183 has been marked as a duplicate of this bug. ***
Comment 280 Niels de Vos 2014-09-22 08:32:03 EDT
A beta release for GlusterFS 3.6.0 has been released. Please verify if the release solves this bug report for you. In case the glusterfs-3.6.0beta1 release does not have a resolution for this issue, leave a comment in this bug and move the status to ASSIGNED. If this release fixes the problem for you, leave a note and change the status to VERIFIED.

Packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update (possibly an "updates-testing" repository) infrastructure for your distribution.

[1] http://supercolony.gluster.org/pipermail/gluster-users/2014-September/018836.html
[2] http://supercolony.gluster.org/pipermail/gluster-users/
Comment 281 Niels de Vos 2014-11-11 03:23:53 EST
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.6.1, please reopen this bug report.

glusterfs-3.6.1 has been announced [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://supercolony.gluster.org/pipermail/gluster-users/2014-November/019410.html
[2] http://supercolony.gluster.org/mailman/listinfo/gluster-users

Note You need to log in before you can comment on or make changes to this bug.